<!DOCTYPE html>
<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="css/main.css">
        <link href="resources/fontawesome/css/all.css" rel="stylesheet">
        
        <title>ANDReach</title>
    </head>
    <body class="initiatives-bgcolor">
            <noscript>
                    <meta http-equiv="refresh" content="0.0;url=javascriptDisabled.html">
            </noscript>

        <nav class="homepage-initiatives-nav">
            <div class="initiatives-header">
                <div class="container-fluid">
                    <div class="row align-items-center">
                        <div class="col-sm-3 col-xs-12">
                            <img class="logo" height="36px" src="resources/images/ANDLogo.png">
                        </div>
                        <div class="col-sm-6 col-xs-12 text-center" >
                            <h2 class="header-size">The go-to space for initiatives</h2>
                        </div>
                        <div class="col-sm-3">
    
                        </div>
                    </div>
                </div>
            </div>
        </nav>

        <div class="container-fluid">
                <div class="row">
                        <img class="banner-image mb-5" src="resources/images/Banner1.png" alt="Banner">
                </div>
        </div>

        <div class="container">
            <div class="row">
                <div class="d-block d-sm-none col-sm-12 pb-2"> 
                    <!-- Button trigger modal to create initiative -->
                    <button type="button" class="btn btn-primary float-right" data-toggle="modal" data-target="#exampleModalCenter">Add Initiative</button>
                </div>  
                <div class="col-lg-10 col-md-9 col-sm-8 col-xs-12">
                    <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-prepend">
                                    <span class="input-group-text"><i class="fas fa-search"></i></span>
                                </div>
                                <input id="searchInitiative" type ="text" class="form-control" placeholder="Search initiatives by title">
                                <i class="fa4-search"></i>
                            </div>
                    </div>
                </div>
                <div class="d-none d-sm-block col-lg-2 col-md-3 col-sm-4"> 
                    <!-- Button trigger modal to create initiative -->
                    <button type="button" class="btn btn-primary float-right" data-toggle="modal" data-target="#exampleModalCenter">Add Initiative</button>
                </div>    
                <div class="col-12">
                    <div class="text-center pt-2" id="no-results">
                        <h4 class="errorMessage">No initiatives found</h4>
                    </div>
                    
                    <div class="table-container" id="initiative-container">
                        <table class="table table-md">
                            <thead>
                                <tr>
                                    <th class="font-weight-bolder text-center card-header">Initiatives</th>
                                </tr>
                            </thead>
                            <tbody id="initiativeList">
                            </tbody>
                        </table>
                        <div class="text-center">
                            <div class="spinner-border" role="status">
                                <span class="sr-only">Loading...</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Add Initiative Modal -->
            <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLongTitle">Add Initiative</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <form id="form">
                                <div class="form-group">
                                    <input id="initTitle" name="initTitle" minlength="3" type="text" class="form-control" placeholder="Enter Initiative Title" required>
                                </div>
                                <div class="form-group">
                                    <label for="initiative-description" class="col-form-label">Initiative Description:</label>
                                    <textarea class="form-control" name="initiativeDescription" id="initiativeDescription" type="text" rows="5" cols="30" dir="ltr" placeholder="Enter a detailed initiative description here, including the initiative owner and the club leading the initiative." required></textarea>
                                </div>
                                <div class="form-group">
                                    <input id="initiativeOwner" name="initiativeOwner" type="text" class="form-control" placeholder="Initative Owner" required>
                                </div>
                                <div class="form-group">
                                    <select class="form-control" id="initiativeClub" name="initiativeClub" required>
                                        <option value="" selected>Club name</option>
                                        <option value="Ada">Ada</option>
                                        <option value="Consulting">Consulting</option>
                                        <option value="Dekker">Dekker</option>
                                        <option value="Kilburn">Kilburn</option>
                                        <option value="Murray">Murray</option>
                                        <option value="Newton">Newton</option>
                                        <option value="Spärck">Spärck</option>
                                        <option value="Tenzing">Tenzing</option>
                                        <option value="Turing">Turing</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <select class="form-control" id="initiativeCategory" name="initiativeCategory"  required>
                                        <option value="" >Category</option>
                                        <option value="Giving Back">Giving Back</option>
                                        <option value="Learning">Learning</option>
                                        <option value="Diversity">Diversity</option>
                                        <option value="Cultural">Cultural</option>
                                        <option value="Wellbeing">Wellbeing</option>
                                        <option value="AND Brand">AND Brand</option>
                                        <option value="AND Tools">AND Tools</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" id="statusCheck" checked>
                                        <label class ="form-check-label" for="statusCheck">Mark initiative as active</label>
                                    </div>
                                </div>
                                <div class="button-container">
                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                        <button type="button" class="btn btn-primary" id="createSubmit">Submit</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div> 
        </div>
        </div> 
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="logic/main.js"></script>
        <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.11.1/jquery.validate.min.js"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    </body>

    <footer class="py-2 bg-dark">
        <div class="container text-right">
            <p>
                    ©2019 AND Digital. All rights reserved.
            </p>
        </div>
    </footer>
</html>